#! /bin/sh
#------------------------------------------------------------------------------
# /usr/local/bin/forbiddendom.sh - script for updating forbidden entrys  0.4.0
#
# Creation:     25.09.2003  jml
# Last Update:  01.10.2003  jml
#
# Copyright (c) 2003 Jrgen Mackiol <fli4l@juemac.de>
#------------------------------------------------------------------------------
# remove old forbidden entrys from ens.conf/ens.conf.prev and add new
# forbidden entrys to ens.conf/ens.conf.prev online
#------------------------------------------------------------------------------
#
domconf="/usr/local/forbiddendom/forbiddendom.conf"
conf="/usr/local/ens/ens.conf"
prev="/usr/local/ens/ens.conf.prev"

/usr/local/bin/dtou /opt/files/usr/local/forbiddendom/forbiddendom.conf

if [ ! -f $prev ]
   then
       grep -v '^forbidden ' $conf > $conf.new
       mv $conf.new $conf
       chown ens:ens $conf
       /usr/bin/sed 's/^/forbidden /g' $domconf >> $conf
       killall -HUP ens
       echo "new forbidden domains added to ens.conf"
    else
        grep -v '^forbidden ' $conf > $conf.new
        mv $conf.new $conf
        chown ens:ens $conf
        /usr/bin/sed 's/^/forbidden /g' $domconf >> $conf
        killall -HUP ens
        grep -v '^forbidden ' $prev > $prev.new
        mv $prev.new $prev
        chown ens:ens $prev
        /usr/bin/sed 's/^/forbidden /g' $domconf >> $prev
        echo "new forbidden domains added to ens.conf and to ens.conf.prev"
fi